Bug 1536907

Summary: Split to provide python2-evemu and python3-evemu
Product: [Fedora] Fedora Reporter: Peter Hutterer <peter.hutterer>
Component: evemuAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: btissoir, carl, peter.hutterer, shcherbina.iryna
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-03 13:26:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1312032    

Description Peter Hutterer 2018-01-22 02:06:22 UTC
Making evemu's bindings python3-safe requires a few changes to the package:

* switch python to python2 in the current package
* split out the python bindings as python2-evemu (right now they're part of evemu-devel)
* create a new package python3-evemu that only packages the python files

It's a bit annoying because it gives us two packages to update for every evemu release. But rpm doesn't seem to have a subpackage-specific install/build section, otherwise we could just run configure and install twice with different $PYTHON set.

Or add some upstream trickery to support both python versions on install.

Or drop the python2 bindings, but that will break most existing scripts and has issues on RHEL.

Or not provide python3 bindings.

Comment 1 Fedora End Of Life 2018-02-20 15:34:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Carl George 2018-03-30 20:38:27 UTC
I think the best way to handle it is to build with Python 2 on RHEL and Python 3 on Fedora.  I implemented this with a pull request, for your consideration.

https://src.fedoraproject.org/rpms/evemu/pull-request/2

Comment 4 Peter Hutterer 2018-04-17 23:38:05 UTC
Sorry about the delay, my email filters were messed up and I didn't get any F28 emails. Thanks for implementing this, much appreciated.